Bug 443540

Summary: Dolphin crashes after packing directory to 7z
Product: ark Reporter: Dariusz Tereszkiewicz <dariusz.tereszkiewicz>
Component: generalAssignee: Elvis Angelaccio <elvis.angelaccio>
Status: RESOLVED FIXED    
Severity: crash CC: aacid, adrlopgal, butirsky, gaylordlevy, ismailsahillioglu, jodr666, kde, kfm-devel, linux.9v5rw, liubomirwm, meven29, nicolas.fella, pqwoerituytrueiwoq, preinterference_contradicted, pveax, rthomsen6, someamazingcow, spleefer90, spzakulec, vl.garistov, vpilo, wodencafe, xterion, yunomailbox, zawertun
Priority: NOR Keywords: drkonqi
Version: 21.08.2   
Target Milestone: ---   
Platform: Neon Packages   
OS: Linux   
Latest Commit: Version Fixed In: 21.12.1
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Dariusz Tereszkiewicz 2021-10-10 09:12:30 UTC
Application: dolphin (21.08.2)

Qt Version: 5.15.3
Frameworks Version: 5.86.0
Operating System: Linux 5.11.0-36-generic x86_64
Windowing System: X11
Drkonqi Version: 5.22.5
Distribution: KDE neon User Edition 5.22

-- Information about the crash:
- What I was doing when the application crashed:

Dolphin shuts down after it finishes packing the catalog to 7z

The crash can be reproduced every time.

-- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault

[New LWP 18907]
[New LWP 18908]
[New LWP 18909]
[New LWP 18910]
[New LWP 18911]
[New LWP 18912]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f7e00e03aff in __GI___poll (fds=0x7ffcfe335978, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7f7dfc3c09c0 (LWP 18904))]

Thread 7 (Thread 0x7f7de77fe700 (LWP 18912)):
#0  0x00007f7e00e03aff in __GI___poll (fds=0x7f7dd0005240, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f7dfee9636e in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7dfee964a3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e013d15eb in QEventDispatcherGlib::processEvents (this=0x7f7dd0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f7e0137587b in QEventLoop::exec (this=this@entry=0x7f7de77fdbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f7e0118f292 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f7e0119042c in QThreadPrivate::start (arg=0x562b4d28e790) at thread/qthread_unix.cpp:329
#7  0x00007f7dff914609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007f7e00e10293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f7de7fff700 (LWP 18911)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f7de7ffeb50, clockid=<optimized out>, expected=0, futex_word=0x562b4d3243e4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f7de7ffeb50, clockid=<optimized out>, mutex=0x562b4d324390, cond=0x562b4d3243b8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562b4d3243b8, mutex=0x562b4d324390, abstime=0x7f7de7ffeb50) at pthread_cond_wait.c:656
#3  0x00007f7e01196528 in QWaitConditionPrivate::wait_relative (this=0x562b4d324390, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562b4d324390) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562b4d286c00, mutex=mutex@entry=0x562b4d3b96b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f7e01193a31 in QThreadPoolThread::run (this=0x562b4d286bf0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f7e0119042c in QThreadPrivate::start (arg=0x562b4d286bf0) at thread/qthread_unix.cpp:329
#8  0x00007f7dff914609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7e00e10293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f7df0ed6700 (LWP 18910)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f7df0ed5b50, clockid=<optimized out>, expected=0, futex_word=0x562b4d13b4c4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f7df0ed5b50, clockid=<optimized out>, mutex=0x562b4d13b470, cond=0x562b4d13b498) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562b4d13b498, mutex=0x562b4d13b470, abstime=0x7f7df0ed5b50) at pthread_cond_wait.c:656
#3  0x00007f7e01196528 in QWaitConditionPrivate::wait_relative (this=0x562b4d13b470, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562b4d13b470) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562b4d38f1b0, mutex=mutex@entry=0x562b4d3b96b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f7e01193a31 in QThreadPoolThread::run (this=0x562b4d38f1a0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f7e0119042c in QThreadPrivate::start (arg=0x562b4d38f1a0) at thread/qthread_unix.cpp:329
#8  0x00007f7dff914609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7e00e10293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f7df16d7700 (LWP 18909)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f7df16d6b50, clockid=<optimized out>, expected=0, futex_word=0x562b4d13e354) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f7df16d6b50, clockid=<optimized out>, mutex=0x562b4d13e300, cond=0x562b4d13e328) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562b4d13e328, mutex=0x562b4d13e300, abstime=0x7f7df16d6b50) at pthread_cond_wait.c:656
#3  0x00007f7e01196528 in QWaitConditionPrivate::wait_relative (this=0x562b4d13e300, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562b4d13e300) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562b4d1d9e40, mutex=mutex@entry=0x562b4d3b96b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f7e01193a31 in QThreadPoolThread::run (this=0x562b4d1d9e30) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f7e0119042c in QThreadPrivate::start (arg=0x562b4d1d9e30) at thread/qthread_unix.cpp:329
#8  0x00007f7dff914609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7e00e10293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f7df1ed8700 (LWP 18908)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f7df1ed7b50, clockid=<optimized out>, expected=0, futex_word=0x562b4d396284) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f7df1ed7b50, clockid=<optimized out>, mutex=0x562b4d396230, cond=0x562b4d396258) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x562b4d396258, mutex=0x562b4d396230, abstime=0x7f7df1ed7b50) at pthread_cond_wait.c:656
#3  0x00007f7e01196528 in QWaitConditionPrivate::wait_relative (this=0x562b4d396230, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x562b4d396230) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x562b4d184290, mutex=mutex@entry=0x562b4d3b96b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f7e01193a31 in QThreadPoolThread::run (this=0x562b4d184280) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f7e0119042c in QThreadPrivate::start (arg=0x562b4d184280) at thread/qthread_unix.cpp:329
#8  0x00007f7dff914609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7e00e10293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f7dfa69e700 (LWP 18907)):
#0  __GI___libc_read (nbytes=16, buf=0x7f7dfa69d9a0, fd=8) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=8, buf=0x7f7dfa69d9a0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f7dfeedeb2f in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7dfee95ebe in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7dfee96312 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7dfee964a3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f7e013d15eb in QEventDispatcherGlib::processEvents (this=0x7f7dec000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f7e0137587b in QEventLoop::exec (this=this@entry=0x7f7dfa69dbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007f7e0118f292 in QThread::exec (this=this@entry=0x7f7e024add80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007f7e02429f4b in QDBusConnectionManager::run (this=0x7f7e024add80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#10 0x00007f7e0119042c in QThreadPrivate::start (arg=0x7f7e024add80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#11 0x00007f7dff914609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f7e00e10293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f7dfc3c09c0 (LWP 18904)):
[KCrash Handler]
#4  std::__atomic_base<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/9/bits/atomic_base.h:734
#5  std::atomic<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/9/atomic:519
#6  QAtomicOps<QObjectPrivate::Connection*>::loadAcquire<QObjectPrivate::Connection*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:251
#7  QBasicAtomicPointer<QObjectPrivate::Connection>::loadAcquire (this=0x51) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:255
#8  QObjectPrivate::maybeSignalConnected (this=this@entry=0x7f7e00ed9be0 <main_arena+96>, signalIndex=signalIndex@entry=6) at kernel/qobject.cpp:486
#9  0x00007f7e013ad954 in doActivate<false> (sender=0x562b4d207160, signal_index=6, argv=0x7ffcfe3366b0) at kernel/qobject_p.h:110
#10 0x00007f7e025e1b90 in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#11 0x00007f7e025e294b in KJob::finishJob(bool) () from /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#12 0x00007f7de6d93138 in Kerfuffle::Job::onFinished(bool) () from /usr/lib/x86_64-linux-gnu/libkerfuffle.so.21
#13 0x00007f7e013add9e in QtPrivate::QSlotObjectBase::call (a=0x7ffcfe336860, r=0x562b4d207160, this=0x562b4da9bfc0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#14 doActivate<false> (sender=0x562b4d981260, signal_index=10, argv=0x7ffcfe336860) at kernel/qobject.cpp:3886
#15 0x00007f7de6d7d8b6 in Kerfuffle::ReadOnlyArchiveInterface::finished(bool) () from /usr/lib/x86_64-linux-gnu/libkerfuffle.so.21
#16 0x00007f7de6db9d20 in Kerfuffle::CliInterface::processFinished(int, QProcess::ExitStatus) () from /usr/lib/x86_64-linux-gnu/libkerfuffle.so.21
#17 0x00007f7e013add9e in QtPrivate::QSlotObjectBase::call (a=0x7ffcfe336a10, r=0x562b4d981260, this=0x562b4d8b4640) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#18 doActivate<false> (sender=0x562b4daea910, signal_index=11, argv=0x7ffcfe336a10) at kernel/qobject.cpp:3886
#19 0x00007f7e013a7167 in QMetaObject::activate (sender=sender@entry=0x562b4daea910, m=m@entry=0x7f7e01610760 <QProcess::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffcfe336a10) at kernel/qobject.cpp:3946
#20 0x00007f7e012e488c in QProcess::finished (this=this@entry=0x562b4daea910, _t1=<optimized out>, _t2=<optimized out>) at .moc/moc_qprocess.cpp:339
#21 0x00007f7e012edfef in QProcessPrivate::_q_processDied (this=0x562b4cf807c0) at io/qprocess.cpp:1184
#22 0x00007f7e012ee1d2 in QProcess::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7ffcfe336bb0) at io/qprocess.h:320
#23 0x00007f7e013addd0 in doActivate<false> (sender=0x562b4dacb920, signal_index=3, argv=0x7ffcfe336bb0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#24 0x00007f7e013a7167 in QMetaObject::activate (sender=sender@entry=0x562b4dacb920, m=m@entry=0x7f7e01612b40 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcfe336bb0) at kernel/qobject.cpp:3946
#25 0x00007f7e013b1e23 in QSocketNotifier::activated (this=this@entry=0x562b4dacb920, _t1=..., _t2=<optimized out>, _t3=...) at .moc/moc_qsocketnotifier.cpp:178
#26 0x00007f7e013b25c3 in QSocketNotifier::event (this=0x562b4dacb920, e=0x7ffcfe336e80) at kernel/qsocketnotifier.cpp:302
#27 0x00007f7e01e52dc3 in QApplicationPrivate::notify_helper (this=this@entry=0x562b4ce2a8b0, receiver=receiver@entry=0x562b4dacb920, e=e@entry=0x7ffcfe336e80) at kernel/qapplication.cpp:3632
#28 0x00007f7e01e5bbb8 in QApplication::notify (this=0x7ffcfe337180, receiver=0x562b4dacb920, e=0x7ffcfe336e80) at kernel/qapplication.cpp:3156
#29 0x00007f7e01376d7a in QCoreApplication::notifyInternal2 (receiver=0x562b4dacb920, event=0x7ffcfe336e80) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#30 0x00007f7e013d21d5 in socketNotifierSourceDispatch (source=0x562b4cee1d60) at kernel/qeventdispatcher_glib.cpp:107
#31 0x00007f7dfee9617d in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f7dfee96400 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f7dfee964a3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007f7e013d15d2 in QEventDispatcherGlib::processEvents (this=0x562b4cef67d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#35 0x00007f7e0137587b in QEventLoop::exec (this=this@entry=0x7ffcfe337090, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#36 0x00007f7e0137da34 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#37 0x0000562b4c3e1fb2 in ?? ()
#38 0x00007f7e00d150b3 in __libc_start_main (main=0x562b4c3e0e90, argc=1, argv=0x7ffcfe337328, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffcfe337318) at ../csu/libc-start.c:308
#39 0x0000562b4c3e237e in ?? ()
[Inferior 1 (process 18904) detached]

Possible duplicates by query: bug 421600.

Reported using DrKonqi
Comment 1 Tony 2021-10-12 07:03:57 UTC
Created attachment 142357 [details]
New crash information added by DrKonqi

dolphin (21.11.70) using Qt 5.15.2

- What I was doing when the application crashed:
With are compress a directory containing the kernel source files. At some point during the process dolphin crashed.

-- Backtrace (Reduced):
#4  std::__atomic_base<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/11/bits/atomic_base.h:836
#5  std::atomic<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/11/atomic:570
#6  QAtomicOps<QObjectPrivate::Connection*>::loadAcquire<QObjectPrivate::Connection*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:251
#7  QBasicAtomicPointer<QObjectPrivate::Connection>::loadAcquire (this=0x51) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:255
#8  QObjectPrivate::maybeSignalConnected (this=this@entry=0x7f7fc98e8b00 <main_arena+96>, signalIndex=signalIndex@entry=6) at kernel/qobject.cpp:486
Comment 2 Dariusz Tereszkiewicz 2021-10-14 18:38:01 UTC
After upgrading Plasma to version 5.23.0, Dolphin also crashes when you pack a file or folder to 7z.

When packing to other types of packages, e.ZIP,g. after packing, a new Dolphin tab opens with a view of the catalog from which the packaging was made.
I don't know if this last Dolphin behavior is normal or if there is a setting that causes this behavior.

Below are the software versions:

Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.0
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-36-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-2400 CPU @ 3.10GHz
Memory: 15.6 GiB of RAM
Graphics Processor: GeForce GTX 1050 Ti/PCIe/SSE2

Dolphin: v21.08.2
Qt: 5.15.3


Backtrace:

Application: Dolphin (dolphin), signal: Segmentation fault

[New LWP 13763]
[New LWP 13764]
[New LWP 13765]
[New LWP 13766]
[New LWP 13767]
[New LWP 13768]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007fa3e91ebaff in __GI___poll (fds=0x7ffcc449e0b8, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
__preamble__
[Current thread is 1 (Thread 0x7fa3e47a79c0 (LWP 13761))]

Thread 7 (Thread 0x7fa3c7fff700 (LWP 13768)):
#0  0x00007fa3e72cb4dd in g_mutex_lock () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fa3e727dc03 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa3e727e312 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa3e727e4a3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa3e97b95eb in QEventDispatcherGlib::processEvents (this=0x7fa3bc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fa3e975d87b in QEventLoop::exec (this=this@entry=0x7fa3c7ffebe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fa3e9577292 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fa3e957842c in QThreadPrivate::start (arg=0x55be7608d3d0) at thread/qthread_unix.cpp:329
#8  0x00007fa3e7cfc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fa3e91f8293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fa3d88ef700 (LWP 13767)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fa3d88eeb50, clockid=<optimized out>, expected=0, futex_word=0x55be75f141d0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fa3d88eeb50, clockid=<optimized out>, mutex=0x55be75f14180, cond=0x55be75f141a8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55be75f141a8, mutex=0x55be75f14180, abstime=0x7fa3d88eeb50) at pthread_cond_wait.c:656
#3  0x00007fa3e957e528 in QWaitConditionPrivate::wait_relative (this=0x55be75f14180, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x55be75f14180) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x55be75f24dd0, mutex=mutex@entry=0x55be761347e8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fa3e957ba31 in QThreadPoolThread::run (this=0x55be75f24dc0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fa3e957842c in QThreadPrivate::start (arg=0x55be75f24dc0) at thread/qthread_unix.cpp:329
#8  0x00007fa3e7cfc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fa3e91f8293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fa3d90f0700 (LWP 13766)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fa3d90efb50, clockid=<optimized out>, expected=0, futex_word=0x55be75f1d550) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fa3d90efb50, clockid=<optimized out>, mutex=0x55be75f1d500, cond=0x55be75f1d528) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55be75f1d528, mutex=0x55be75f1d500, abstime=0x7fa3d90efb50) at pthread_cond_wait.c:656
#3  0x00007fa3e957e528 in QWaitConditionPrivate::wait_relative (this=0x55be75f1d500, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x55be75f1d500) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x55be75fa3aa0, mutex=mutex@entry=0x55be761347e8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fa3e957ba31 in QThreadPoolThread::run (this=0x55be75fa3a90) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fa3e957842c in QThreadPrivate::start (arg=0x55be75fa3a90) at thread/qthread_unix.cpp:329
#8  0x00007fa3e7cfc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fa3e91f8293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fa3d98f1700 (LWP 13765)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fa3d98f0b50, clockid=<optimized out>, expected=0, futex_word=0x55be75f8cd60) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fa3d98f0b50, clockid=<optimized out>, mutex=0x55be75f8cd10, cond=0x55be75f8cd38) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55be75f8cd38, mutex=0x55be75f8cd10, abstime=0x7fa3d98f0b50) at pthread_cond_wait.c:656
#3  0x00007fa3e957e528 in QWaitConditionPrivate::wait_relative (this=0x55be75f8cd10, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x55be75f8cd10) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x55be76039980, mutex=mutex@entry=0x55be761347e8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fa3e957ba31 in QThreadPoolThread::run (this=0x55be76039970) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fa3e957842c in QThreadPrivate::start (arg=0x55be76039970) at thread/qthread_unix.cpp:329
#8  0x00007fa3e7cfc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fa3e91f8293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fa3da0f2700 (LWP 13764)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7fa3da0f1b50, clockid=<optimized out>, expected=0, futex_word=0x55be7600acd0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7fa3da0f1b50, clockid=<optimized out>, mutex=0x55be7600ac80, cond=0x55be7600aca8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55be7600aca8, mutex=0x55be7600ac80, abstime=0x7fa3da0f1b50) at pthread_cond_wait.c:656
#3  0x00007fa3e957e528 in QWaitConditionPrivate::wait_relative (this=0x55be7600ac80, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait (deadline=..., this=0x55be7600ac80) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait (this=this@entry=0x55be7600be80, mutex=mutex@entry=0x55be761347e8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fa3e957ba31 in QThreadPoolThread::run (this=0x55be7600be70) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007fa3e957842c in QThreadPrivate::start (arg=0x55be7600be70) at thread/qthread_unix.cpp:329
#8  0x00007fa3e7cfc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fa3e91f8293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fa3e2a83700 (LWP 13763)):
#0  0x00007fa3e91ebaff in __GI___poll (fds=0x7fa3d4014f30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa3e727e36e in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa3e727e4a3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa3e97b95eb in QEventDispatcherGlib::processEvents (this=0x7fa3d4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fa3e975d87b in QEventLoop::exec (this=this@entry=0x7fa3e2a82bb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fa3e9577292 in QThread::exec (this=this@entry=0x7fa3ea895d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fa3ea811f4b in QDBusConnectionManager::run (this=0x7fa3ea895d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007fa3e957842c in QThreadPrivate::start (arg=0x7fa3ea895d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#8  0x00007fa3e7cfc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fa3e91f8293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fa3e47a79c0 (LWP 13761)):
[KCrash Handler]
#4  std::__atomic_base<void*>::load (__m=std::memory_order_relaxed, this=0x7683fa3c) at /usr/include/c++/9/bits/atomic_base.h:734
#5  std::atomic<void*>::load (__m=std::memory_order_relaxed, this=0x7683fa3c) at /usr/include/c++/9/atomic:519
#6  QAtomicOps<void*>::loadRelaxed<void*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:239
#7  QBasicAtomicPointer<void>::loadRelaxed (this=0x7683fa3c) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:248
#8  QRecursiveMutexPrivate::lock (this=0x7683fa34, timeout=timeout@entry=-1) at thread/qmutex.cpp:773
#9  0x00007fa3e9578969 in QMutex::lock (this=this@entry=0x55be76816670) at thread/qmutex.cpp:235
#10 0x00007fa3e975efbc in std::unique_lock<QMutex>::lock (this=<synthetic pointer>, this=<synthetic pointer>) at /usr/include/c++/9/bits/unique_lock.h:133
#11 std::unique_lock<QMutex>::unique_lock (__m=..., this=<synthetic pointer>) at /usr/include/c++/9/bits/unique_lock.h:71
#12 (anonymous namespace)::qt_unique_lock<QMutex> (mutex=...) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qlocking_p.h:106
#13 QCoreApplicationPrivate::lockThreadPostEventList (object=<optimized out>) at kernel/qcoreapplication.cpp:1500
#14 0x00007fa3e9761bad in QCoreApplication::postEvent (receiver=0x55be76852530, event=0x55be76782f70, priority=0) at kernel/qcoreapplication.cpp:1546
#15 0x00007fa3c7296138 in Kerfuffle::Job::onFinished(bool) () from /usr/lib/x86_64-linux-gnu/libkerfuffle.so.21
#16 0x00007fa3e9795d9e in QtPrivate::QSlotObjectBase::call (a=0x7ffcc449eef0, r=0x55be76852530, this=0x55be76776f20) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#17 doActivate<false> (sender=0x55be76711df0, signal_index=10, argv=0x7ffcc449eef0) at kernel/qobject.cpp:3886
#18 0x00007fa3c72808b6 in Kerfuffle::ReadOnlyArchiveInterface::finished(bool) () from /usr/lib/x86_64-linux-gnu/libkerfuffle.so.21
#19 0x00007fa3c72bcd20 in Kerfuffle::CliInterface::processFinished(int, QProcess::ExitStatus) () from /usr/lib/x86_64-linux-gnu/libkerfuffle.so.21
#20 0x00007fa3e9795d9e in QtPrivate::QSlotObjectBase::call (a=0x7ffcc449f0a0, r=0x55be76711df0, this=0x55be76793b90) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#21 doActivate<false> (sender=0x55be76746990, signal_index=11, argv=0x7ffcc449f0a0) at kernel/qobject.cpp:3886
#22 0x00007fa3e978f167 in QMetaObject::activate (sender=sender@entry=0x55be76746990, m=m@entry=0x7fa3e99f8760 <QProcess::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffcc449f0a0) at kernel/qobject.cpp:3946
#23 0x00007fa3e96cc88c in QProcess::finished (this=this@entry=0x55be76746990, _t1=<optimized out>, _t2=<optimized out>) at .moc/moc_qprocess.cpp:339
#24 0x00007fa3e96d5fef in QProcessPrivate::_q_processDied (this=0x55be76023220) at io/qprocess.cpp:1184
#25 0x00007fa3e96d61d2 in QProcess::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7ffcc449f240) at io/qprocess.h:320
#26 0x00007fa3e9795dd0 in doActivate<false> (sender=0x55be76663630, signal_index=3, argv=0x7ffcc449f240) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#27 0x00007fa3e978f167 in QMetaObject::activate (sender=sender@entry=0x55be76663630, m=m@entry=0x7fa3e99fab40 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcc449f240) at kernel/qobject.cpp:3946
#28 0x00007fa3e9799e23 in QSocketNotifier::activated (this=this@entry=0x55be76663630, _t1=..., _t2=<optimized out>, _t3=...) at .moc/moc_qsocketnotifier.cpp:178
#29 0x00007fa3e979a5c3 in QSocketNotifier::event (this=0x55be76663630, e=0x7ffcc449f510) at kernel/qsocketnotifier.cpp:302
#30 0x00007fa3ea23adc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55be75be98b0, receiver=receiver@entry=0x55be76663630, e=e@entry=0x7ffcc449f510) at kernel/qapplication.cpp:3632
#31 0x00007fa3ea243bb8 in QApplication::notify (this=0x7ffcc449f810, receiver=0x55be76663630, e=0x7ffcc449f510) at kernel/qapplication.cpp:3156
#32 0x00007fa3e975ed7a in QCoreApplication::notifyInternal2 (receiver=0x55be76663630, event=0x7ffcc449f510) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#33 0x00007fa3e97ba1d5 in socketNotifierSourceDispatch (source=0x55be75c9dca0) at kernel/qeventdispatcher_glib.cpp:107
#34 0x00007fa3e727e17d in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007fa3e727e400 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007fa3e727e4a3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007fa3e97b95d2 in QEventDispatcherGlib::processEvents (this=0x55be75caf830, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#38 0x00007fa3e975d87b in QEventLoop::exec (this=this@entry=0x7ffcc449f720, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#39 0x00007fa3e9765a34 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#40 0x000055be7432efb2 in main (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:222
[Inferior 1 (process 13761) detached]
Comment 3 yunomailbox 2021-10-15 08:51:12 UTC
Created attachment 142465 [details]
New crash information added by DrKonqi

dolphin (21.08.2) using Qt 5.15.2

- What I was doing when the application crashed:

Trying to compress a 7z file

- Unusual behavior I noticed:

It segfaults and crashes dolphin

- Custom settings of the application:

Not much. I disabled confirmation messages and enabled Text file previews. These don't seem related to the crash though.

-- Backtrace (Reduced):
#4  0x00007fceffaab984 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#5  0x00007fceffaabc6a in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#6  0x00007fceffaa32b0 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#7  0x00007fcf0054dd62 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#8  0x00007fceffa763ba in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
Comment 4 Tony 2021-10-25 21:53:00 UTC
*** Bug 444321 has been marked as a duplicate of this bug. ***
Comment 5 OLoKo64 2021-10-28 00:19:00 UTC
Created attachment 142955 [details]
New crash information added by DrKonqi

dolphin (21.08.1) using Qt 5.15.2

- What I was doing when the application crashed:
Compressing a file with 7z LZMA2
- Unusual behavior I noticed:
The application kept saying the compression was happening when it already finished. Cancelling the compression made the application crash.
- Custom settings of the application:
None.

-- Backtrace (Reduced):
#5  0x00007f609a81c59c in KJob::kill(KJob::KillVerbosity) () from /lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#6  0x00007f609a81c59c in KJob::kill(KJob::KillVerbosity) () from /lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
[...]
#10 0x00007f609960d73e in QObject::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f609a0ce6b3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#12 0x00007f60995e016a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
Comment 6 Dariusz Tereszkiewicz 2021-10-29 19:42:40 UTC
This behavior of Dolphin occurs on every Plasma installation. Even on a clean installation in VirtualBox.

Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-36-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-2400 CPU @ 3.10GHz
Memory: 15.6 GiB of RAM
Graphics Processor: GeForce GTX 1050 Ti/PCIe/SSE2
Comment 7 Xterion 2021-10-30 14:24:59 UTC
Created attachment 143029 [details]
New crash information added by DrKonqi

dolphin (21.08.2) using Qt 5.15.2

- What I was doing when the application crashed:

I was compressing a directory with Ark using 7z and password encryption.
Most of the time Dolphin crashes right after the compression has started but the archive is ok and it is not corrupted.
Sometimes Dolphin crashes only when I press the stop notification button, same as bug report 442774.
https://bugs.kde.org/show_bug.cgi?id=442774

- Custom settings of the application:

Dolphin is in details view mode.
Breeze dark theme is active.

-- Backtrace (Reduced):
#4  0x00007fc407fcb5fc in KJob::kill(KJob::KillVerbosity) () from /usr/lib/libKF5CoreAddons.so.5
#5  0x00007fc407fcb64c in KJob::kill(KJob::KillVerbosity) () from /usr/lib/libKF5CoreAddons.so.5
[...]
#9  0x00007fc406da450f in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#10 0x00007fc40784ed62 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#11 0x00007fc406d773ba in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
Comment 8 Martin 2021-11-01 15:03:10 UTC
Also affected by crashing after compressing to 7z.

Operating System: Arch Linux
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.14.14-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 12 × AMD Ryzen 5 3600 6-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 1080 Ti/PCIe/SSE2
Comment 9 İsmail 2021-11-02 11:09:45 UTC
Created attachment 143125 [details]
New crash information added by DrKonqi

dolphin (21.08.2) using Qt 5.15.2

- What I was doing when the application crashed:
I was archiving a directory with options of 7zip, max compression and LZMA.
Dolphin crashes everytime when the archiver is about to finish and show
the compressed archive in a new tab in Dolphin.

It is reproducible with the same compressing configuration.

-- Backtrace (Reduced):
#6  std::__atomic_base<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/11/bits/atomic_base.h:836
#7  std::atomic<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/11/atomic:570
#8  QAtomicOps<QObjectPrivate::Connection*>::loadAcquire<QObjectPrivate::Connection*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:251
#9  QBasicAtomicPointer<QObjectPrivate::Connection>::loadAcquire (this=0x51) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:255
#10 QObjectPrivate::maybeSignalConnected (this=this@entry=0x7f9c0113cb00 <main_arena+96>, signalIndex=signalIndex@entry=6) at kernel/qobject.cpp:486
Comment 10 Valerio Pilo 2021-11-05 12:54:00 UTC
Created attachment 143242 [details]
New crash information added by DrKonqi

dolphin (21.08.1) using Qt 5.15.2

- What I was doing when the application crashed:
1. Right-click on a file/directory, select "Compress to..."
2. Choose 7-zip. Optionally select a password
3. Immediately after completion, Dolphin crashes.

-- Backtrace (Reduced):
#5  0x00007f3fdfdda700 in KJob::result(KJob*, KJob::QPrivateSignal) () from /lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#6  0x00007f3fdfddf21b in KJob::finishJob(bool) () from /lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
[...]
#8  0x00007f3fc89bb8d6 in Kerfuffle::ReadOnlyArchiveInterface::finished(bool) () from /lib/x86_64-linux-gnu/libkerfuffle.so.21
[...]
#10 0x00007f3fdeb02b3c in QProcess::finished(int, QProcess::ExitStatus) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
[...]
#14 0x00007f3fdebd3be3 in QSocketNotifier::activated(QSocketDescriptor, QSocketNotifier::Type, QSocketNotifier::QPrivateSignal) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
Comment 11 Vladimir Garistov 2021-11-16 02:45:59 UTC
Created attachment 143609 [details]
New crash information added by DrKonqi

dolphin (21.08.3) using Qt 5.15.2

- What I was doing when the application crashed:
After moving a newly created .7z archive to trash and attempting to create it again with the same filename Dolphin crashes. The archive is created successfuly. The crash only happens when the name of the archive matches the filename of a file that was moved to trash. Otherwise a different behaviour is observed (described below).

- Unusual behavior I noticed:
I compressed a folder in Dolphin to a .7z archive. A notification popped up in the bottom right corner of the screen, as usual. However, it never changed its status to 'Finished'. The archive was created successfuly (as far as I can tell) and can be opened without issues. The notification remains stuck at full progress bar forever. This happens every time a new .7z archive is created. Compressing to .zip for example finishes as expected.

- Custom settings of the application:
None

-- Backtrace (Reduced):
#5  0x00007fa8a0d5a0dd in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib/libKF5CoreAddons.so.5
#6  0x00007fa8a0d5b5cc in KJob::finishJob(bool) () from /usr/lib/libKF5CoreAddons.so.5
[...]
#8  0x00007fa8901749e3 in Kerfuffle::ReadOnlyArchiveInterface::finished(bool) () from /usr/lib/libkerfuffle.so.21
[...]
#10 0x00007fa89fa706f9 in QProcess::finished(int, QProcess::ExitStatus) () from /usr/lib/libQt5Core.so.5
[...]
#14 0x00007fa89fb41c70 in QSocketNotifier::activated(QSocketDescriptor, QSocketNotifier::Type, QSocketNotifier::QPrivateSignal) () from /usr/lib/libQt5Core.so.5
Comment 12 flux 2021-11-18 20:20:12 UTC
(In reply to Vladimir Garistov from comment #11)
> - What I was doing when the application crashed:
> After moving a newly created .7z archive to trash and attempting to create
> it again with the same filename Dolphin crashes. The archive is created
> successfuly. The crash only happens when the name of the archive matches the
> filename of a file that was moved to trash. Otherwise a different behaviour
> is observed (described below).
> 
> - Unusual behavior I noticed:
> I compressed a folder in Dolphin to a .7z archive. A notification popped up
> in the bottom right corner of the screen, as usual. However, it never
> changed its status to 'Finished'. The archive was created successfuly (as
> far as I can tell) and can be opened without issues. The notification
> remains stuck at full progress bar forever. This happens every time a new
> .7z archive is created. Compressing to .zip for example finishes as expected.
> 

I can confirm these 2 behaviours, which Vladimir Garistov has described perfectly.

I am using Gear 21.08.3, Plasma 5.23.3, Frameworks 5.88.0, Qt 5.15.2.

There have been multiple bug reports raised and "fixed" and "closed" around doing 7-zip compression from Dolphin context menu. It worked just fine until Gear 21.08.2.

I cannot understand why it is taking so many incremental bug fixes to restore behaviour which existed in Gear 21.08.1.

Surely it would require less effort to look into the cause of that regression?
Comment 13 Nicolas Fella 2021-11-19 23:58:24 UTC
*** Bug 445770 has been marked as a duplicate of this bug. ***
Comment 15 Adrián López Galera 2021-12-07 11:05:27 UTC
Created attachment 144300 [details]
New crash information added by DrKonqi

dolphin (21.08.3) using Qt 5.15.3

- What I was doing when the application crashed:
Same than other users: Dolphin crashes when compressing file or folder in .7zip format (Ark Utility, contextual menu). The resulting compressed file seems to be OK.

- Custom settings of the application:

-- Backtrace (Reduced):
#4  std::__atomic_base<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/9/bits/atomic_base.h:734
#5  std::atomic<QObjectPrivate::Connection*>::load (__m=std::memory_order_acquire, this=0x51) at /usr/include/c++/9/atomic:519
#6  QAtomicOps<QObjectPrivate::Connection*>::loadAcquire<QObjectPrivate::Connection*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:251
#7  QBasicAtomicPointer<QObjectPrivate::Connection>::loadAcquire (this=0x51) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:255
#8  QObjectPrivate::maybeSignalConnected (this=this@entry=0x7fd0ed4f7be0 <main_arena+96>, signalIndex=signalIndex@entry=6) at kernel/qobject.cpp:486
Comment 16 Méven Car 2021-12-10 12:22:07 UTC
Git commit aa90d8179ff5a58fd79c6bff4ab8dad01219d926 by Méven Car.
Committed on 10/12/2021 at 10:13.
Pushed by meven into branch 'master'.

Kerfuffle CreateJob: delete addJob in dtor

M  +8    -4    kerfuffle/jobs.cpp
M  +1    -0    kerfuffle/jobs.h

https://invent.kde.org/utilities/ark/commit/aa90d8179ff5a58fd79c6bff4ab8dad01219d926
Comment 17 Nicolas Fella 2021-12-10 12:25:05 UTC
*** Bug 446049 has been marked as a duplicate of this bug. ***
Comment 18 Méven Car 2021-12-10 12:45:33 UTC
Git commit 7dc57f9c9d9f709ab010c977cb420228d6caae75 by Méven Car.
Committed on 10/12/2021 at 12:44.
Pushed by meven into branch 'release/21.12'.

Kerfuffle CreateJob: delete addJob in dtor

M  +8    -4    kerfuffle/jobs.cpp
M  +1    -0    kerfuffle/jobs.h

https://invent.kde.org/utilities/ark/commit/7dc57f9c9d9f709ab010c977cb420228d6caae75
Comment 19 Nicolas Fella 2021-12-14 01:18:40 UTC
*** Bug 446712 has been marked as a duplicate of this bug. ***
Comment 20 Nicolas Fella 2021-12-16 12:59:11 UTC
*** Bug 447066 has been marked as a duplicate of this bug. ***
Comment 21 wodencafe 2021-12-30 20:03:40 UTC
Created attachment 144977 [details]
New crash information added by DrKonqi

dolphin (21.08.1) using Qt 5.15.2

- What I was doing when the application crashed:

After attempting to compress a file to a 7zip archive (a small file), the operation never seemed to complete. Eventually I attempted to stop the compression operation using the notification on the system tray, by hitting the big square stop button. This caused dolphin itself to crash.

-- Backtrace (Reduced):
#4  KJob::kill (this=0x55c666ad2430, verbosity=KJob::Quietly) at ./src/lib/jobs/kjob.cpp:108
#5  0x00007f3ced35a59c in KJob::kill (this=0x55c690837270, verbosity=KJob::EmitResult) at ./src/lib/jobs/kjob.cpp:112
#6  0x00007f3cec155a88 in doActivate<false> (sender=0x55c6800996d0, signal_index=3, argv=0x7ffcdc0046c0) at kernel/qobject.cpp:3898
[...]
#8  0x00007f3cedc73b43 in OrgKdeJobViewV2Interface::resumeRequested (this=<optimized out>) at ./obj-x86_64-linux-gnu/src/jobviewiface.moc:231
#9  0x00007f3cedc79693 in OrgKdeJobViewV2Interface::qt_metacall (this=0x55c6800996d0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7ffcdc004800) at ./obj-x86_64-linux-gnu/src/jobviewiface.moc:212
Comment 22 Méven Car 2022-01-02 13:02:11 UTC
(In reply to wodencafe from comment #21)
> Created attachment 144977 [details]
> New crash information added by DrKonqi
> 
> dolphin (21.08.1) using Qt 5.15.2
> 
> - What I was doing when the application crashed:
> 
> After attempting to compress a file to a 7zip archive (a small file), the
> operation never seemed to complete. Eventually I attempted to stop the
> compression operation using the notification on the system tray, by hitting
> the big square stop button. This caused dolphin itself to crash.
> 
> -- Backtrace (Reduced):
> #4  KJob::kill (this=0x55c666ad2430, verbosity=KJob::Quietly) at
> ./src/lib/jobs/kjob.cpp:108
> #5  0x00007f3ced35a59c in KJob::kill (this=0x55c690837270,
> verbosity=KJob::EmitResult) at ./src/lib/jobs/kjob.cpp:112
> #6  0x00007f3cec155a88 in doActivate<false> (sender=0x55c6800996d0,
> signal_index=3, argv=0x7ffcdc0046c0) at kernel/qobject.cpp:3898
> [...]
> #8  0x00007f3cedc73b43 in OrgKdeJobViewV2Interface::resumeRequested
> (this=<optimized out>) at ./obj-x86_64-linux-gnu/src/jobviewiface.moc:231
> #9  0x00007f3cedc79693 in OrgKdeJobViewV2Interface::qt_metacall
> (this=0x55c6800996d0, _c=QMetaObject::InvokeMetaMethod, _id=0,
> _a=0x7ffcdc004800) at ./obj-x86_64-linux-gnu/src/jobviewiface.moc:212

Ark 21.08 and dolphin 21.08 are now archived, please test against new version.
Comment 23 Gaylord Levy 2022-01-04 19:12:03 UTC
Created attachment 145114 [details]
New crash information added by DrKonqi

dolphin (21.12.0) using Qt 5.15.2

- What I was doing when the application crashed:
Creating an archive from a directory into the same directory where it lives.

- Custom settings of the application:
Ark .7z using LZMA w/max compression setting

-- Backtrace (Reduced):
#4  0x00007fea54e0c816 in QObjectPrivate::maybeSignalConnected(unsigned int) const () from /usr/lib/libQt5Core.so.5
[...]
#6  0x00007fea55f466a1 in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib/libKF5CoreAddons.so.5
#7  0x00007fea55f47cdc in KJob::finishJob(bool) () from /usr/lib/libKF5CoreAddons.so.5
[...]
#9  0x00007fea3089aa47 in Kerfuffle::ReadOnlyArchiveInterface::finished(bool) () from /usr/lib/libkerfuffle.so.21
[...]
#11 0x00007fea54d766dd in QProcess::finished(int, QProcess::ExitStatus) () from /usr/lib/libQt5Core.so.5
Comment 24 Méven Car 2022-01-05 08:34:53 UTC
(In reply to Gaylord Levy from comment #23)
> Created attachment 145114 [details]
> New crash information added by DrKonqi
> 
> dolphin (21.12.0) using Qt 5.15.2
> 
> - What I was doing when the application crashed:
> Creating an archive from a directory into the same directory where it lives.
> 
> - Custom settings of the application:
> Ark .7z using LZMA w/max compression setting
> 
> -- Backtrace (Reduced):
> #4  0x00007fea54e0c816 in QObjectPrivate::maybeSignalConnected(unsigned int)
> const () from /usr/lib/libQt5Core.so.5
> [...]
> #6  0x00007fea55f466a1 in KJob::result(KJob*, KJob::QPrivateSignal) () from
> /usr/lib/libKF5CoreAddons.so.5
> #7  0x00007fea55f47cdc in KJob::finishJob(bool) () from
> /usr/lib/libKF5CoreAddons.so.5
> [...]
> #9  0x00007fea3089aa47 in
> Kerfuffle::ReadOnlyArchiveInterface::finished(bool) () from
> /usr/lib/libkerfuffle.so.21
> [...]
> #11 0x00007fea54d766dd in QProcess::finished(int, QProcess::ExitStatus) ()
> from /usr/lib/libQt5Core.so.5

The fix should be available in next maintenance version of Dolphin 21.12.1 as stated in the version fixed in field.
Comment 25 pqwoerituytrueiwoq 2022-01-06 18:29:49 UTC
Anyone able to make split volume 7z archive via dolphin? there seems to be a issue now with splits that are not even megabytes
1.5 gets treated at 1 and 0.5  is treated as do not split, guessing this fix broke that, guess that is better than crashing though...